@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500&display=swap");

body {
    background-color: #02070d;
}

.container {
    width: 450px;
    position: absolute;
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
}

.container .clock * {
    color: #ffffff;
    font-family: "Poppins", sans-serif;
}

.clock {
    width: 100%;
    background-color: rgba(255, 255, 255, 0.06);
    padding: 50px 25px;
    border: 1.5px solid rgba(255, 255, 255, 0.06);
    box-shadow: 0 25px 30px rgba(0, 0, 0, 0.15);
    backdrop-filter: blur(15px);
}

#day {
    position: relative;
    font-size: 20px;
    text-transform: uppercase;
    color: #ffffff;
    text-align: center;
    user-select: none; /* Disable text selection */
    pointer-events: none; /* Disable dragging */
}

.wrapper {
    text-align: center;
}

#time {
    font-size: 70px;
    display: inline-block;
    user-select: none; /* Disable text selection */
    pointer-events: none; /* Disable dragging */
}

#midday {
    display: inline-block;
    font-size: 30px;
    user-select: none; /* Disable text selection */
    pointer-events: none; /* Disable dragging */
}

/* Ensure the wrapper itself is undraggable */
.wrapper, .clock {
    user-select: none; /* Disable text selection */
    pointer-events: none; /* Disable dragging */
}
